
INSERT_TEMPLATE = """
INSERT into package (
  pkgname,
  name,
  mimetype,
  architecture,
  appid,
  distribution,
  repo,
  weight,
  filehint,
  description
) VALUES (
  "%(pkgname)s",
  "%(name)s",
  "%(mimetype)s",
  "%(architecture)s",
  "{ec8030f7-c20a-464f-9b0e-13a3a9e97384}",
  "%(distribution)s",
  "%(repo)s",
  5,
  "%(filehint)s",
  "%(description)s" );
"""

JAVA_MIMETYPES = (
"application/x-java-vm", 
"application/x-java-applet",
"application/x-java-applet;version=1.1",
"application/x-java-applet;version=1.1.1",
"application/x-java-applet;version=1.1.2",
"application/x-java-applet;version=1.1.3",
"application/x-java-applet;version=1.2",
"application/x-java-applet;version=1.2.1",
"application/x-java-applet;version=1.2.2",
"application/x-java-applet;version=1.3",
"application/x-java-applet;version=1.3.1",
"application/x-java-applet;version=1.4",
"application/x-java-applet;version=1.4.1",
"application/x-java-applet;version=1.4.2",
"application/x-java-applet;version=1.5",
"application/x-java-applet;version=1.6",
"application/x-java-applet;jpi-version=1.6.0_00",
"application/x-java-bean",
"application/x-java-bean;version=1.1",
"application/x-java-bean;version=1.1.1",
"application/x-java-bean;version=1.1.2",
"application/x-java-bean;version=1.1.3",
"application/x-java-bean;version=1.2",
"application/x-java-bean;version=1.2.1",
"application/x-java-bean;version=1.2.2",
"application/x-java-bean;version=1.3",
"application/x-java-bean;version=1.3.1",
"application/x-java-bean;version=1.4",
"application/x-java-bean;version=1.4.1",
"application/x-java-bean;version=1.4.2",
"application/x-java-bean;version=1.5",
"application/x-java-bean;version=1.6",
"application/x-java-bean;jpi-version=1.6.0_00",
)        

#def get_insert(pkgname, name, mimetype, architecture, distribution, filehint, description = None, repo = None):
def get_insert(**kwargs):
    """ Generate a string insert statement from template """

    if not "description" in kwargs:
        kwargs["description"] = name

    if not "repo" in kwargs:
        kwargs["repo"] = "http://software.opensuse.org/ymp/openSUSE:%(distribution)s/standard/%(pkgname)s.ymp" % kwargs

    return INSERT_TEMPLATE % kwargs


def get_icedtea_insert(mimetype, architecture, distribution):
    """ Generate an insert statement for icedtea plugin for mimetype, architecture and distribution  """

    return get_insert(pkgname="java-1_6_0-openjdk-plugin",
            name="The IcedTea Java Web Browser Plugin for Java applets",
            mimetype=mimetype,
            architecture=architecture,
            distribution=distribution,
            filehint="IcedTeaPlugin.so",
            description="Mozilla plugin for executing Java applets from icedtea project")

def get_sun_insert(mimetype, architecture, distribution):
    """ Generate an insert statement for sun plugin for mimetype, architecture and distribution """

    return get_insert(pkgname="java-1_6_0-sun-plugin",
            name="The Sun Java Web Browser Plugin for Java applets",
            mimetype=mimetype,
            architecture=architecture,
            distribution=distribution,
            filehint="libnpjp2.so",
            description="Mozilla plugin for executing Java applets from Sun Java")

def print_java_plugin_inserts(architecture, distribution):

    for mimetype in JAVA_MIMETYPES:
        print get_icedtea_insert(mimetype, architecture, distribution)
    
    for mimetype in JAVA_MIMETYPES:
        print get_sun_insert(mimetype, architecture, distribution)


print_java_plugin_inserts('i586', '11.1')
