#!/bin/sh -e
#
# Copyright (C) 2009  Wolfgang Rosenauer
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#

set -e

DB_FILENAME=../web/pfs.sqlite
SQLITE=sqlite3

echo -- Wiping DB ...
echo
echo

rm -rfv ${DB_FILENAME}

echo -- Recreating Tables ...
echo
echo

cat create-tables.sql | ${SQLITE} -echo ${DB_FILENAME}

echo
echo
echo -- Inserting Data ...
echo
echo

distributionIDs="11.1 11.2 11.3 11.4"

for distro in $distributionIDs; do
  echo   ... for $distro ...
  _file=${distro/./}
  cat ${_file}.sql | ${SQLITE} -echo ${DB_FILENAME}
done

echo
echo
echo -- Done
exit 0


